from __future__ import with_statement
print "b28"
os.chdir("/Users/was/talks/2007-01-15-sage-cse/sage_notebook/worksheets/sieve/cells/113")
__SAGE_t__=cputime()
__SAGE_w__=walltime()


all
#auto

def number_grid(c, box_args={}, font_args={},offset=Integer(0)):
    """
    INPUT:
        c -- list of length n^2, where n is an integer.
             The entries of c are RGB colors.
        box_args -- additional arguments passed to box.
        font_args -- all additional arguments are passed
                to the text function, e.g., fontsize.
        offset -- use to fine tune text placement in the squares

    OUTPUT:
        Graphics -- a plot of a grid that illustrates
             those n^2 numbers colored according to c.
    """
    try:
        n = square_root(ZZ(len(c)))
    except ArithmeticError:
        raise ArithmeticError, "c must have square length"
    G = Graphics()
    k = Integer(0)
    for j in reversed(range(n)):
        for i in range(n):
            col = c[int(k)]
            R = line([(i,j),(i+Integer(1),j),(i+Integer(1),j+Integer(1)),(i,j+Integer(1)),(i,j)], thickness=RealNumber('.2'), **box_args)
            P = polygon([(i,j),(i+Integer(1),j),(i+Integer(1),j+Integer(1)),(i,j+Integer(1)),(i,j)], rgbcolor=col, **box_args)
            G += P + R
            if col != (Integer(1),Integer(1),Integer(1)):
                G += text(str(k+Integer(1)), (i+RealNumber('.5')+offset,j+RealNumber('.5')), **font_args)
            k += Integer(1)
    G.axes(False)
    G.range(Integer(0),n,Integer(0),n)
    return G
print "CPU time: %.2f s,  Wall time: %.2f s"%(cputime(__SAGE_t__), walltime(__SAGE_w__))
print "\n\nv=%s"%_support_.variables(True)
print "e28"
